using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioMultaJuros
    {
        public IList<entidadeMultaJuros> Select(entidadeMultaJuros objMultaJuros)
        {
            dalMultaJuros dalMultaJuros = null;

            var lstMultaJuros = new List<entidadeMultaJuros>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalMultaJuros = new dalMultaJuros();
                dt = dalMultaJuros.Select(objMultaJuros);

                regranegocioGlobal = new regraNegocioGlobal();

                lstMultaJuros = regraNegocioGlobal.ConvertDataTable<entidadeMultaJuros>(dt);

                return lstMultaJuros;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeMultaJuros> Select_1(entidadeMultaJuros objMultaJuros)
        {
            dalMultaJuros dalMultaJuros = null;

            var lstMultaJuros = new List<entidadeMultaJuros>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalMultaJuros = new dalMultaJuros();
                dt = dalMultaJuros.Select_1(objMultaJuros);

                regranegocioGlobal = new regraNegocioGlobal();

                lstMultaJuros = regraNegocioGlobal.ConvertDataTable<entidadeMultaJuros>(dt);

                return lstMultaJuros;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable SelectCount(entidadeMultaJuros objMultaJuros)
        {
            dalMultaJuros dalMultaJuros = null;
            DataTable dt = null;

            try
            {
                dalMultaJuros = new dalMultaJuros();
                dt = dalMultaJuros.SelectCount(objMultaJuros);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable SelectCount_1(entidadeMultaJuros objMultaJuros)
        {
            dalMultaJuros dalMultaJuros = null;
            DataTable dt = null;

            try
            {
                dalMultaJuros = new dalMultaJuros();
                dt = dalMultaJuros.SelectCount_1(objMultaJuros);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeMultaJuros objMultaJuros)
        {
            dalMultaJuros dalMultaJuros = null;

            try
            {
                dalMultaJuros = new dalMultaJuros();

                dalMultaJuros.Update(objMultaJuros);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeMultaJuros objMultaJuros)
        {
            dalMultaJuros dalMultaJuros = null;

            try
            {
                dalMultaJuros = new dalMultaJuros();

                dalMultaJuros.Delete(objMultaJuros);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete_1(entidadeMultaJuros objMultaJuros)
        {
            dalMultaJuros dalMultaJuros = null;

            try
            {
                dalMultaJuros = new dalMultaJuros();

                dalMultaJuros.Delete(objMultaJuros);
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
